Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Nov 2017, 15:33
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Estoy Creando un puplet y quiero saber k programas usan
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
HPW


Joined: 06 Jan 2009
Posts: 29
Location: Republica dominicana

PostPosted: Thu 18 Jun 2009, 12:30    Post subject:  Estoy Creando un puplet y quiero saber k programas usan  

Saludos Smile

Estoy creando una puplet basada en la version 421.

Qusiera saber que aplicaciones mayormente o regularmenbte usan.. y cuales no para haci ir sacando aplicaciones del puplet..


Aun no termino el puplet pero les puedo adelantar que estoy modificando el gestor de paquetes para poner la opcion de elejir paquetes de el puplet.

Algo haci como un repo.

y cambie la forma de instalacion, osea no se instalan las plicaciones dando click sobre ellos sino que existe un boton para esto que. (lo puse haci para mejor navegacion).


ademas quiero ponerle un gdm a puppy.
aun no se omo hacerlo pero creo que puedo modificar el archivo initrc o algo haci jeje no recuerdo como se llama pero es el que se carga al inicio de la "X".

Si alguien tiene idea de como hacerlo o tiene deceos de ayudar es bienvenido.

Otra cosa quiero usar xfce y thunar. pero no puedo compilar xfce, cuando compilo libxfceutils que es el primer paquete a compilar segun dependencias: todo bien, luego el libsfcegui4 pero al hacer ./configure me dice k el libxfceutil no esta instalado Sad.

No se que sera pero descarge los paquetes .deb de el xfce y me pasa igual. al instalar el paquete xfcelibgui4 me dice que me falta la dependencias libxfceutil..

nota la version que intento compilar es la 4.6

Gracias.
HPW.
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 1035
Location: Peru

PostPosted: Fri 19 Jun 2009, 02:51    Post subject: Re: Estoy Creando un puplet y quiero saber k programas usan  

HPW wrote:
ademas quiero ponerle un gdm a puppy.

Aca hay uno interesante y liviano: http://slim.berlios.de/

Aunque es algo muy complicado debido a la forma en la que funciona puppy, casi la totalidad de scripts no estan enfocados para entornos multi usuario y sus tareas no pueden completarse si no son ejecutadas por el usuario "root". Sin embargo se puede implementar, NathanF lo hizo en Grafpup.

HPW wrote:
Otra cosa quiero usar xfce y thunar. pero no puedo compilar xfce,

Probaste con el "Graphical Installer" de XFCE? o al menos extrae la lista de orden de compilación de ese paquete para que no tengas problemas causados por falta de dependencias. (creo que esta en el main.c o algo asi, en el instalador)

Compilé manualmente la version 4.6b hace algunos meses pero mis binarios no son compatibles con puppy. Lograr que todo el entorno XFCE funcione perfectamente con puppy requiere algo de tiempo, por lo que seria mejor q te enfoques solamente a los componentes que necesites, como Thunar, xfce-panel, etc.

Existe un .pet de xfce-4.6 en el foro(por Gray). Sobreescribe archivos de configuración y requiere varias correcciones para funcionar adecuadamente (especificamente le falta trabajo con los tipos MIME), te recomiendo probarlo en otra instalacion/pup_save de puppy.

_________________

Back to top
View user's profile Send private message 
HPW


Joined: 06 Jan 2009
Posts: 29
Location: Republica dominicana

PostPosted: Fri 19 Jun 2009, 16:38    Post subject:  

OK tratare de instalar el pet de @Gray.

de todas formas intentare compilar nuevamente xfce, creo que ya se por donde anda el problema, encontre algo que hablaba de la compilacion de xfce y dice que hay que configurar unos cuantos archivos para que el compilador valla reconociendo los paquetes instalados.

el slim ya lo habia descargado pero no me interese en instalarlo porque pense que mejor podiamos hacer algo parecido nativo de puppy pero mejor lo uso ya que no tengo muchos conocimientos de bash ni de programacion python ni nada de eso..

Gracias @WoW.
Back to top
View user's profile Send private message 
droope


Joined: 31 Jul 2008
Posts: 811
Location: Uruguay, Mercedes

PostPosted: Sat 20 Jun 2009, 12:46    Post subject:  

el xfce me gusta mucho.

Yo en lo personal uso wine, el lampp y el zsnes Very Happy para descansar la mente.

También está muy recomendable el wesnoth pàra eso, pero bueno, pesa 200mb...
Back to top
View user's profile Send private message 
HPW


Joined: 06 Jan 2009
Posts: 29
Location: Republica dominicana

PostPosted: Tue 23 Jun 2009, 08:41    Post subject:  

Quote:

@droope
el xfce me gusta mucho.

Yo en lo personal uso wine, el lampp y el zsnes para descansar la mente.

También está muy recomendable el wesnoth pàra eso, pero bueno, pesa 200mb...


Gracias @droope tomare eso en cuenta.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0344s ][ Queries: 13 (0.0052s) ][ GZIP on ]